+++
title = "Continuous tool improvement"
author = ["Colin Powell"]
date = 2018-08-25T00:00:00-04:00
lastmod = 2019-05-29T12:42:44-04:00
tags = ["tools"]
categories = ["emacs"]
draft = false
+++

I was reviewing the feeds I subscribe to in [elfeed](https://github.com/skeeto/elfeed) this evening when it occurred
to me that a lot of my feeds have to do with Emacs. I will often blow through
updates on feeds, making sure to only pickup things that are truly useful. But I
discovered an amazingly high signal to noise ratio regarding tips for using
Emacs more effectively. This got me thinking about how I couldn't possible
remember all this stuff, so I tossed some of the things I was learning in my
learnings.org file to review later. At that point, it dawned on my how important
tool choice is, and how important it is to learn how to use your tools
effectively and be receptive to learning new things about them.

This could apply equally to any well made tool for any discipline (woodworking,
drawing, research), but for me that means Emacs. Not everyone is going to ever
need to touch Emacs. For me, I can't imagine not having it, and everytime I
learn something new, I get a little more effective with it.

For reference, tonight [I learned how to make all URLs, regardless of buffer,
clickable](http://xenodium.com/#actionable-urls-in-emacs-buffers) [I also learned how to break an org-mode block in two with a single
keystroke to insert a comment](https://scripter.co/splitting-an-org-block-into-two/).
