+++
title = "Finding meaning"
author = ["Colin Powell"]
date = 2017-09-27T00:00:00-04:00
categories = ["thoughts"]
draft = false
+++

What does it mean to encourage others towards spiritual growth? At a recent
board meeting, which included a fairly contentious issue, a number of friends
and myself certainly did not encourage anyone towards spiritual growth. The root
of the problem, as with many problems, lies with differences; differences of
opinion, experience, and expectations. As a Unitarian Universalist congregation,
we espouse the seven principles, which are as close to dogma as you're likely to
see in UUism. One of these seven "pillars" of behavior as a UU calls us to
accept others and help them towards spiritual growth. How can we do that when
we're so different?

I'm repeating myself here, but repetition is the best way to learn anything, so
let's go again. Difference tends to cause us to build walls. Often we do not do
so intentionally, but humans are animals, and there is a base tribalness to much
of what animals do. It should not surprise us that we like to be with our own
kind, to have our ideas reinforced, to spend time with those we've shared
experiences. But that gets to the crux of it. Share experiences with other
people. Embrace our tribalness to create connections with people who are
currently strangers. This is not radical acceptance. If you believe that
abortion is a sin against your chosen diety, that is not a good place to begin
acceptance. Rather, why not talk about youre experience with your children? Talk
about sports, the weather, and begin to ask questions.

Do you know where the members on your board were born? Where they were raised?
What they personally believe? The stand out experiences in their lives? Their
favorite books? Movies? What they love? What drives them crazy? These are not
retorical questions. Nor are they questions that I have asked yet. So no need to
feel bad. Being an accepting and welcoming human being is difficult preciscely
because of our earlier manifestation as uncooperative animals. But by some
miracle have developed the skills of discernment and cooperation, and we should
perform social exercises to keep our open-ness well conditioned.
